﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SubSonicORM
{
    class Program
    {
        [STAThread]
        public static void Main(string[] args)
        {
            Console.WriteLine("How To Unit Test: SubSonci");
            string command = GetCommand();

            while (command != "Quit")
            {
                switch (command)
                {
                    case "Insert":
                        InsertCustomer();
                        break;
                    case "Get":
                        GetCustomer();
                        break;
                    case "Update":
                        UpdateCustomer();
                        break;
                    default:
                        break;
                }

                command = GetCommand();
            }
        }

        private static string GetCommand()
        {
            Console.WriteLine("Commands Are:");
            Console.WriteLine("\t Insert");
            Console.WriteLine("\t Get");
            Console.WriteLine("\t Update");
            Console.WriteLine("\t Quit");
            Console.WriteLine("--------");

            string command = Console.ReadLine();
            return command;
        }

        private static void UpdateCustomer()
        {
            Console.WriteLine("ID");
            int id = Convert.ToInt32(Console.ReadLine());
            Console.WriteLine("Name");
            string name = Console.ReadLine();
            Console.WriteLine("Email");
            string email = Console.ReadLine();
            Customer c = CustomerManager.GetCustomer(id);
            c.Name = name;
            c.Email = email;
            CustomerManager.UpdateCustomer(c.ID, c);
        }

        private static string GetCustomer()
        {
            Console.WriteLine("Customer Name");
            string name = Console.ReadLine();
            Customer c = CustomerManager.GetCustomer(name);
            Console.WriteLine(c.ID);
            Console.WriteLine(c.Name);
            Console.WriteLine(c.Email);
            return name;
        }

        private static void InsertCustomer()
        {
            Console.WriteLine("Enter new customer details");
            Console.WriteLine("Name:");
            string name = Console.ReadLine();
            Console.WriteLine("Email:");
            string email = Console.ReadLine();
            CustomerManager.CreateCustomer(name, email);
            Console.WriteLine("Saved");
        }
    }
}
